Subject: bug#8744: Also use detect-coding-string?

From: Leo <[email-masked]>
Date: Tue, 31 May 2011 11:16:02 +0800

On 2011-05-30 22:18 +0800, Marco Pessotto wrote:
>> IIUC that's exactly what you'll get if you set
>> rcirc-decode-coding-system to `undecided'.
>>
>>
>>         Stefan
>
> I tested this a bit and you're right. A line of documentation wouldn't
> harm, anyway. Something like:
>
> @@ -302,7 +302,9 @@ Called with 5 arguments, PROCESS, SENDER, RESPONSE, TARGET and TEXT."
>    :group 'rcirc)
>  
>  (defcustom rcirc-decode-coding-system 'utf-8
> -  "Coding system used to decode incoming irc messages."
> +  "Coding system used to decode incoming irc messages.
> +Set to 'undecided if you want the encoding of the incoming
> +messages autodetected"
>    :type 'coding-system
>    :group 'rcirc)

I was ignorant of this fact. I will revert my commit to my original
patch with the doc-string improvement from Marco in a day or two.

Leo